# gdcm::JPEG2000Codec Class Reference

Class to do JPEG 2000. More...

`#include <gdcmJPEG2000Codec.h>`

Inheritance diagram for gdcm::JPEG2000Codec:
[legend]
Collaboration diagram for gdcm::JPEG2000Codec:
[legend]

List of all members.

## Public Member Functions

| JPEG2000Codec ()
| ~JPEG2000Codec ()
bool | CanCode (TransferSyntax const &ts) const
| Return whether this coder support this transfer syntax (can code it)
bool | CanDecode (TransferSyntax const &ts) const
| Return whether this decoder support this transfer syntax (can decode it)
bool | Code (DataElement const &in, DataElement &out)
| Code.
bool | Decode (DataElement const &is, DataElement &os)
| Decode.
virtual bool | GetHeaderInfo (std::istream &is, TransferSyntax &ts)
double | GetQuality (unsigned int idx=0) const
double | GetRate (unsigned int idx=0) const
void | SetNumberOfResolutions (unsigned int nres)
void | SetQuality (unsigned int idx, double q)
void | SetRate (unsigned int idx, double rate)
void | SetReversible (bool res)
void | SetTileSize (unsigned int tx, unsigned int ty)

## Protected Member Functions

bool | Decode (std::istream &is, std::ostream &os)

## Friends

class | Bitmap

## Detailed Description

Class to do JPEG 2000.

Note:
  the class will produce JPC (JPEG 2000 codestream), since some private implementor are using full jp2 file the decoder tolerate jp2 input this is an implementation of an ImageCodec

## Constructor & Destructor Documentation

gdcm::JPEG2000Codec::JPEG2000Codec | ( |  | ) |

gdcm::JPEG2000Codec::~JPEG2000Codec | ( |  | ) |

## Member Function Documentation

bool gdcm::JPEG2000Codec::CanCode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this coder support this transfer syntax (can code it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::CanDecode | ( | TransferSyntax const & |  | ) | const`[virtual]`

Return whether this decoder support this transfer syntax (can decode it)

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::Code | ( | DataElement const & | in_,
|  | DataElement & | out_
| ) |  | `[virtual]`

Code.

Reimplemented from gdcm::Coder.

bool gdcm::JPEG2000Codec::Decode | ( | DataElement const & | is_,
|  | DataElement & | os
| ) |  | `[virtual]`

Decode.

Reimplemented from gdcm::ImageCodec.

bool gdcm::JPEG2000Codec::Decode | ( | std::istream & | is,
|  | std::ostream & | os
| ) |  | `[protected, virtual]`

Reimplemented from gdcm::ImageCodec.

virtual bool gdcm::JPEG2000Codec::GetHeaderInfo | ( | std::istream & | is,
|  | TransferSyntax & | ts
| ) |  | `[virtual]`

Reimplemented from gdcm::ImageCodec.

double gdcm::JPEG2000Codec::GetQuality | ( | unsigned int | idx = `0` | ) | const

double gdcm::JPEG2000Codec::GetRate | ( | unsigned int | idx = `0` | ) | const

void gdcm::JPEG2000Codec::SetNumberOfResolutions | ( | unsigned int | nres | ) |

void gdcm::JPEG2000Codec::SetQuality | ( | unsigned int | idx,
|  | double | q
| ) |  |

void gdcm::JPEG2000Codec::SetRate | ( | unsigned int | idx,
|  | double | rate
| ) |  |

void gdcm::JPEG2000Codec::SetReversible | ( | bool | res | ) |

void gdcm::JPEG2000Codec::SetTileSize | ( | unsigned int | tx,
|  | unsigned int | ty
| ) |  |

## Friends And Related Function Documentation

friend class Bitmap `[friend]`

The documentation for this class was generated from the following file:

- gdcmJPEG2000Codec.h